Last modified: 2014-01-15 20:11:17 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 27161 - Check if Status::isGood() and Status::isOk() are used appropriately in FileRepo
Check if Status::isGood() and Status::isOk() are used appropriately in FileRepo
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
File management (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: code_quality
  Show dependency treegraph
 
Reported: 2011-02-04 20:00 UTC by Bryan Tong Minh
Modified: 2014-01-15 20:11 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Bryan Tong Minh 2011-02-04 20:00:14 UTC
Almost always you want Status::isGood() not Status::isOk(). Each use of those functions needs to be checked in FileRepo, because I have found cases where I believe isGood() is more appropriate than isOk(). In addition in some cases the member variable $ok is accessed directly. This should be fixed to use one of the accessor methods.
Comment 1 Bryan Tong Minh 2011-03-05 14:27:08 UTC
LocalFileMoveBatch done in r83245; LocalFileRestoreBatch done earlier.
Comment 2 Max Semenik 2011-03-05 14:30:32 UTC
isOK() is grossly misleading, can we rename it?
Comment 3 Aaron Schulz 2014-01-15 01:12:00 UTC
Is there anything to do here?
Comment 4 Bryan Tong Minh 2014-01-15 20:11:17 UTC
No.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links